Subject: Re: bug#11102: 24.0.94; C-x C-c from a client frame sometimes kills the whole Emacs process

From: Chong Yidong <[email-masked]>
Date: Sun, 15 Apr 2012 16:53:31 +0800

Eli Zaretskii <[email-masked]> writes:

> If we do leave the different "C-x C-c" behavior, we need to clearly
> document that in the manual, I think.

I've updated the manual accordingly.

I've also committed a fix for the "-t -n" handling which should fix the
problem observed on Windows.  It is on the emacs-24 branch, since AFAICT
the additional Windows code causing this problem is new since 23.4.
Someone with access to Windows please check if it DTRT.